%define _bindir /bin

Summary:	The GNU versions of grep pattern matching utilities
Name:		grep
Version:	3.1
Release:	1
License:	GPLv3+
Group:		Text tools
Url:		http://www.gnu.org/software/grep/grep.html
Source0:	ftp://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz
Source1:	ftp://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz.sig
BuildRequires:	bison
BuildRequires:	gettext
BuildRequires:	texinfo
BuildRequires:	pkgconfig(libpcre)
Provides:	/bin/grep

%description
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines. GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%files -f %{name}.lang
%{_bindir}/egrep
%{_bindir}/fgrep
%{_bindir}/grep
%{_bindir}/grep-syr
%{_mandir}/man1/egrep.1*
%{_mandir}/man1/fgrep.1*
%{_mandir}/man1/grep.1*

#----------------------------------------------------------------------------

%package doc
Summary:	Grep documentation in info format
Group:		Documentation

%description doc
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines. GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

Install this package if you want info documentation on grep.

%files doc
%doc AUTHORS THANKS TODO NEWS README ChangeLog
%{_infodir}/*.info*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
# Build version that properly works with Syriac language
%configure2_5x \
	--with-included-regex \
	--enable-perl-regexp \
	--exec-prefix=/ \
	--enable-threads=posix

%make

mv src/grep src/grep-syr

make clean

# Build version that properly works with european languages
%configure2_5x \
	--without-included-regex \
	--enable-perl-regexp \
	--exec-prefix=/ \
	--enable-threads=posix

%install
%makeinstall_std

install -m 0755 src/grep-syr %{buildroot}%{_bindir}/grep-syr

%find_lang %{name}

%changelog

* Tue Jul 04 2017 alzim <alzim@bk.ru> 3.1-1
- (b1c4790) Merge pull request #3 from alzim/grep:rosa2016.1
- (b1c4790) Update to 3.1


